shark.h File Reference

Classes for the SHARK block cipher. More...

Go to the source code of this file.

## Classes

struct | SHARK_Info
| SHARK block cipher information. More...
class | SHARK
| SHARK block cipher SHARK-E More...

## Typedefs

typedef SHARK::Encryption | SHARKEncryption
typedef SHARK::Decryption | SHARKDecryption

## Detailed Description

Classes for the SHARK block cipher.

Since
  Crypto++ 2.1

Definition in file shark.h.

## Typedef Documentation

## SHARKEncryption

typedef SHARK::Encryption SHARKEncryption

Definition at line 72 of file shark.h.

## SHARKDecryption

typedef SHARK::Decryption SHARKDecryption

Definition at line 73 of file shark.h.